RankSharkDocs
Campaigns

Restore an archived campaign

RankShark EnhanceScopecampaigns:write

POST
/api/v1/campaigns/{id}/unarchive

Authorization

headerAuthorizationBearer <token>

An Enhance API key (rsen_…) or an OAuth 2.1 access token, as "Authorization: Bearer …".

Path Parameters

id*string

Campaign id

Response Body

Restored

application/json
  1. response
result?string

The outcome as the workspace reports it

Example Request
curl -X POST 'https://panel.rankshark.io/api/v1/campaigns/string/unarchive'
Example Response
{  "result": "string"}